version: '3'
services:
  discoveryserviceapp:
    build: ./discovery-service
    ports:
      - "8761:8761"
    networks:
      - ms-network
    environment:
      eureka.client.serviceUrl.defaultZone: http://discoveryserviceapp:8761/eureka/

  csmsserviceapp:
    build: ./csmsService
    environment:
      - EUREKA_URI=http://discoveryserviceapp:8761/eureka/
    networks:
      - ms-network
    depends_on:
      - discoveryserviceapp

  gatewayapp:
    build: ./gateway
    ports:
      - "8080:8080"
    environment:
      - EUREKA_URI=http://discoveryserviceapp:8761/eureka/
    networks:
      - ms-network
    depends_on:
      - discoveryserviceapp

  invoiceserviceapp:
    build: ./invoiceService
    environment:
      - EUREKA_URI=http://discoveryserviceapp:8761/eureka/
      - SPRING_DATASOURCE_URL=jdbc:postgresql://mypostgres:5432/mydb
      - SPRING_DATASOURCE_USERNAME=postgres
      - SPRING_DATASOURCE_PASSWORD=password
      - SPRING_JPA_HIBERNATE_DDL_AUTO=create
    networks:
      - ms-network
    depends_on:
      - mypostgres
      - discoveryserviceapp

  mypostgres:
    image: postgres:13.3
    environment:
      - POSTGRES_PASSWORD=password
      - POSTGRES_USER=postgres
      - POSTGRES_DB=mydb
    networks:
      - ms-network
networks:
  ms-network:
    driver: bridge

